# Asterisk Project : Asterisk 13 Function_FILE_COUNT_LINE

Created by wikibot on Aug 08, 2014

# FILE_COUNT_LINE()

### Synopsis

Obtains the number of lines of a text file.

### Description

Returns the number of lines, or `-1` on error.

Note

Icon

If `live_dangerously` in `asterisk.conf` is set to `no`, this function can only be executed from the dialplan, and not directly from external protocols.

### Syntax

    FILE_COUNT_LINE(filename,format)

##### Arguments

- `filename`
- `format` - Format may be one of the following:
  - `u` - Unix newline format.
  - `d` - DOS newline format.
  - `m` - Macintosh newline format.

    Note

    Icon

    If not specified, an attempt will be made to determine the newline format type.

### See Also

- Asterisk 13 Function_FILE
- Asterisk 13 Function_FILE_FORMAT

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538